List expanded

Lists statements with expanded LIGs and task groups, using filtering, sorting, and pagination. | authz_personas=[statement_org_operators, statement_driver] | () -> (StatementsExpandedListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by
Allowed values:
sort_orderenumOptional

Sort order (ascending or descending)

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
filter_statusenumOptional

Filter by statement status(es)

Allowed values:
filter_settlement_typeenumOptional
Filter by settlement type
Allowed values:
filter_order_idstringOptionalDeprecated

[DEPRECATED — use filter_order_short_id] Filter by order ID (returns statements whose order_ids list contains this value)

filter_order_short_idstringOptional

Filter by order short ID (returns statements whose order_short_ids list contains this value)

filter_order_off_chrt_reference_idstringOptionalformat: "^[A-Za-z0-9._~\-]{1,64}$"1-64 characters

Filter by order off-chrt reference ID (returns statements whose order_off_chrt_reference_ids list contains this value)

filter_payment_origin_org_idstringOptional
Filter by payment origin org ID
filter_payment_origin_off_chrt_shipper_org_idstringOptional

Filter by payment origin off-chrt shipper org ID

filter_payment_destination_org_idstringOptional
Filter by payment destination org ID
filter_owned_by_org_idstringOptional
Filter by owned by org ID
filter_staged_at_timestamp_gtedatetimeOptional

Filter by staged_at_timestamp >= value

filter_staged_at_timestamp_ltedatetimeOptional

Filter by staged_at_timestamp <= value

filter_opened_at_timestamp_gtedatetimeOptional

Filter by opened_at_timestamp >= value

filter_opened_at_timestamp_ltedatetimeOptional

Filter by opened_at_timestamp <= value

filter_paid_at_timestamp_gtedatetimeOptional

Filter by paid_at_timestamp >= value

filter_paid_at_timestamp_ltedatetimeOptional

Filter by paid_at_timestamp <= value

filter_uncollectible_at_timestamp_gtedatetimeOptional

Filter by uncollectible_at_timestamp >= value

filter_uncollectible_at_timestamp_ltedatetimeOptional

Filter by uncollectible_at_timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Statements Expanded List V1request Unprocessable Entity Error